MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001630VCMISound, music, videospublic2013-12-23 22:062018-01-27 16:13
ReporterMyau 
Assigned ToSXX 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformPCOSUbuntuOS Version13.10
Product Version0.94 
Target VersionFixed in Version0.next 
Summary0001630: some sound effects are missing
DescriptionMany minor sounds on adventure map don't work. For example: visiting hut, employing neutral monsters to your army etc.
TagsNo tags attached.
Attached Files

- Relationships
related to 0000814resolvedSXX Except for resources, all removable map objects are missing the pickup sound 
related to 0002368resolvedSXX Missing feature - environment sounds 

-  Notes
(0005527)
SXX (administrator)
2015-02-16 12:58

There is huge number of incorrect or missing sounds.

Missing that I currently find are (object == sound needed):
Cover of Darkness == like cartographer
Subterranean Gate == like keymaster
Altar of Sacrifice, Black Market, Abandoned Mine, Den's of Thieves == like skeleton
University == one like star axis
Dwellings (include refuge camp) == dwelling sound
Garrison (include anti-magic) == one like dwellings (DO NOT PLAYED after battle won)
Hill Fort == one from dwellings
Seer's hut = need to use like guard use currently
Whirlpool == like sirens
Trading post, tavern, war machine factory == ???
Monolith two way == ???


Wrong sounds:
Quest Guard == currently using seer's hut sound while have to use sound like original guard (keymaster)

Quest Guard pick sound == (probably like in pandora box)
Pandora Box == using seer's hut while have to use one like abandoned mine 
Magic Spring == currently using water wheel sound, but need to use magic well  
Crypt = currently like any bank, but have to use one from warrior's tomb
Dragon Utopia = have to use own unique sound, currently using one for bank
Shipwreck Survivor == artifact found sound
(0005528)
SXX (administrator)
2015-02-16 13:42

Also I'm clearly going to fix all these problems, but it's only happen after new additions for JSON format:
http://forum.vcmi.eu/viewtopic.php?t=871&start=15 [^]
(0007281)
SXX (administrator)
2017-09-13 07:36

Implemented in PR195:
https://github.com/vcmi/vcmi/pull/195 [^]

- Issue History
Date Modified Username Field Change
2013-12-23 22:06 Myau New Issue
2013-12-24 09:51 Warmonger Relationship added related to 0000814
2015-02-16 12:58 SXX Note Added: 0005527
2015-02-16 12:58 SXX Assigned To => SXX
2015-02-16 12:58 SXX Status new => confirmed
2015-02-16 13:42 SXX Note Added: 0005528
2016-01-08 12:25 SXX Relationship added related to 0002368
2016-09-25 18:23 SXX Status confirmed => assigned
2017-09-13 07:36 SXX Note Added: 0007281
2018-01-27 16:13 SXX Status assigned => resolved
2018-01-27 16:13 SXX Fixed in Version => 0.next
2018-01-27 16:13 SXX Resolution open => fixed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean